<template>
  <button class="card">
    <div class="preview">
      <img :src="data.image" alt="">
    </div>
    <p class="info">
      {{data.description}}
    </p>

    <button class="read-btn">Read more</button>
  </button>
</template>

<script lang="ts">
import { defineComponent } from 'vue'
import Header from '../components/Header.vue'
import Footer from '../components/Footer.vue'

export default defineComponent({
  components:{
    Header,
    Footer
  },
  props:{
    data: Object
  }
})
</script>

<style lang="scss" scoped>
.card{
  background: transparent;
  padding: 0;
  border: none;
  width: 280px;
  max-width: 280px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  cursor: pointer;
  transition: opacity 0.3s ease; 



  .preview{
    width: 280px;
    height: 280px;
    margin-bottom: 24px;

    img{
      padding: 0;
      margin: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }

  .info{
    overflow: hidden; 
    text-overflow: ellipsis; 
    display: -webkit-box; 
    -webkit-line-clamp: 3; 
    -webkit-box-orient: vertical; 
    text-align: left; 
    font-size: 20px; 
    font-weight: 500;
    margin-bottom: 24px;
  }

  .read-btn{
    margin-bottom: 52px;
    opacity: 0;
    transition: opacity 0.3s ease;
    color: var(--pink);
    border: none;
    background: transparent;
    font-size: 20px;
    cursor: pointer;
  }

  &:hover{
    transform: translateY(-10px);

    .read-btn{
      opacity: 1;
      
    }
  }
}
</style>